<template>
    <div>
      <div style="margin-top: 60px">
        <h1 class="mx-auto mt-3">Locations</h1>
      </div>
      <v-container >
       <v-row v-for="item in locations" :key="item.id">
         <location-card :location="item" />
        </v-row>
      </v-container>
      <v-container>
    <pagination-custom v-if="info != null" @goTo="goTo" :info="info" :type="'location'"></pagination-custom>
      </v-container>
    </div>
</template>

<script>
import LocationCard from '../components/cards/locationCard.vue';
import PaginationCustom from '../components/pagination/paginationCustom.vue';
export default {
  name: 'App',
  components: {
    PaginationCustom,
    LocationCard, },
  mounted(){
    this.printLocations('https://rickandmortyapi.com/api/location');
  },
  data: () => ({
    info: null,
    locations: null,

  }),
  methods: {
    async printLocations(page){
      var listOfLocations = await this.$axios.$get(page);
      this.info = listOfLocations.info;
      this.locations = listOfLocations.results;
    },
    goTo(page){
      this.printLocations(page);
    },
  }
};
</script>
<style>

</style>
